; Usage: point the cursor on the phone number (e.g.: (416) 828-8886 x 232 )
; and do M-x dial-telephonenum-at-point.

; suggested key binding ^Z d t. 
; (use-prefix-key global-map "\C-z")
; (global-set-key "\C-zdt"	    'dial-telephonenum-at-point)

(defvar thing-at-point-telephonenum-chars "-+/(),x 0-9"
  "Characters allowable in telephone numbers.")
(put 'telephonenum 'end-op    
     '(lambda () (skip-chars-forward thing-at-point-telephonenum-chars)))
(put 'telephonenum 'beginning-op
     '(lambda () (skip-chars-backward thing-at-point-telephonenum-chars)))

(defun telephonenum-at-point ()
  (interactive)
  (message "Dialing %s: ..." (thing-at-point 'telephonenum)))

(defun dial-telephonenum-at-point ()
  (interactive)
  (setq number (replace-regexp-in-string "[-+/() ]" "" 
					 (thing-at-point 'telephonenum)))
  (setq number (replace-regexp-in-string "x" ",," number))
  (message "Dialing %s." number)
  (shell-command-to-string (concat "dialit " number))
  )
